Subject: Re: [v6ops] I-D Action: draft-ietf-v6ops-transition-ipv4aas-00.txt

From: "STARK, BARBARA H" <[email-masked]>
Date: Mon, 30 Apr 2018 17:19:47 +0000

Hi Jordi,
I was having a hard time understanding where you were headed with proposed changes, by following the email thread. So I was waiting for this update. My company's email server also refuses to deliver to me some emails sent to this list without telling me. That probably adds to my difficulty.

My suggestion related to making requirements "MUST" were tied to also *not* making this an update to RFC 7084.

Here is the problem:
If this is an update to RFC 7084, then I cannot support any "MUST" statements.
My employer makes use of RFC 7084. As is. Updating RFC 7084 with additional "MUST" statements impacts my employer's ability to use and reference RFC 7084 to get the CE routers it wants. An RFC 7084 update with "MUST" statements (that are not needed by many current deployments) would be harmful to the existing IPv6 ecosystem.

For a device profile to be usable by the vendor and ISP community, it must contain "MUST" statements for all items that need to be required to achieve the profile's goal. Trying to get vendors to implement lots of "SHOULD" statements is futile. As an individual contributor, I do not support IETF publishing a futile device profile document with many "SHOULD" statements.

The solution I have proposed is to create a brand new device profile. A device profile for something called an "IPv6 Transition CE Router". This device profile is not an update to RFC 7084. It is its own thing. It is free to make use of RFC 7084 any way it wants -- not at all, in whole, or by referencing sections it does or doesn't want to require as part of the "IPv6 Transition CE Router" device profile.
Barbara